# VRML/Makefile
############################################################################

# use same configuration parameters as in parent directory
include ../Config.common
include ../Config.site

POOLSDIR = ../POOLS

############################################################################
# No need to change anything below here
############################################################################
# the source files in this directory
CXXSOURCES = testbsdf.C
CSOURCES = nied31.c
SOURCES = $(CXXSOURCES) $(CSOURCES)
OBJECTS = ${CXXSOURCES:.C=.o} ${CSOURCES:.c=.o}

# compiler and linker parameters

THISDIRFLAGS = -I. -I../include -I$(POOLSDIR)

# generate source file dependencies
dependhere:
	$(MAKEDEPEND) $(MKDEPFLAGS) $(SOURCES) > deps

depend: dependhere


all:
	@echo "You normally don't need to make anything in this directory."
	@echo "Use 'make testbsdf' explicitly in order to build the testbsdf program."

testbsdf: testbsdf.o nied31.o
	$(CXX) -o testbsdf testbsdf.o nied31.o -lm

links: testbsdf
	ln -sf testbsdf testalbedo
	ln -sf testbsdf testsampling
	ln -sf testbsdf plotbsdf

testarrayassign: testarrayassign.o
	$(CXX) -o testarrayassign testarrayassign.o -L../lib -lxrml

# make a clean source tree again
cleanhere: cleangen
	-$(RM) testbsdf testalbedo testsampling plotbsdf testarrayassign

clean: cleanhere

distclean: cleanhere

###############################################################################
# dependencies --- automatically generated with make depend !!
###############################################################################
-include deps
